---
search:
  tags:
    - Tournaments
    - GET
seo:
  description: >-
    Returns one bracket match, including its game's config and… Reference for
    the GET /tournaments/{id}/matches/{matchId} endpoint in the dartpilot Public
    API.
sidebar:
  label: Get a tournament match
  badge: GET
title: Get a tournament match
type: openapi-operation
---
Returns one bracket match, including its game's config and current state once the match has started. Poll it to follow a match live.

`GET /tournaments/{id}/matches/{matchId}`

**Responses**

- `200` — The tournament match.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "id": "string",
  "round": -9007199254740991,
  "slot": -9007199254740991,
  "status": "string",
  "gameId": "string",
  "participantAId": "string",
  "participantBId": "string",
  "participantAScore": -9007199254740991,
  "participantBScore": -9007199254740991,
  "winnerParticipantId": "string",
  "participantAReadyAt": "string",
  "participantBReadyAt": "string",
  "readyDeadlineAt": "string",
  "decidedByHost": true,
  "game": {
    "id": "string",
    "type": "string",
    "status": "string",
    "players": [
      {
        "name": "string",
        "userId": "string",
        "image": "string"
      }
    ],
    "createdAt": "string",
    "updatedAt": "string",
    "config": {
      "property1": null,
      "property2": null
    },
    "state": {
      "property1": null,
      "property2": null
    },
    "stateUpdatedAt": "string"
  }
}
```
